com.orsoncharts.util.json.parser

## Interface ContentHandler

-     public interface ContentHandler

  A simplified and stoppable SAX-like content handler for stream processing of JSON text.
  See Also:
    `JSONParser.parse(java.io.Reader, ContentHandler, boolean)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `endArray()` Receive notification of the end of a JSON array.
    `void` | `endJSON()` Receive notification of the end of JSON processing.
    `boolean` | `endObject()` Receive notification of the end of a JSON object.
    `boolean` | `endObjectEntry()` Receive notification of the end of the value of previous object entry.
    `boolean` | `primitive(java.lang.Object value)` Receive notification of the JSON primitive values: java.lang.String, java.lang.Number, java.lang.Boolean null
    `boolean` | `startArray()` Receive notification of the beginning of a JSON array.
    `void` | `startJSON()` Receive notification of the beginning of JSON processing.
    `boolean` | `startObject()` Receive notification of the beginning of a JSON object.
    `boolean` | `startObjectEntry(java.lang.String key)` Receive notification of the beginning of a JSON object entry.

- - ### Method Detail

    - #### startJSON

          void startJSON()
                  throws ParseException,
                         java.io.IOException

      Receive notification of the beginning of JSON processing. The parser will invoke this method only once.
      Throws:
        `ParseException` - JSONParser will stop and throw the same exception to the caller when receiving this exception.
        `java.io.IOException` - if there is an I/O problem.

    - #### endJSON

          void endJSON()
                throws ParseException,
                       java.io.IOException

      Receive notification of the end of JSON processing.
      Throws:
        `ParseException` - if there is a parsing problem.
        `java.io.IOException` - if there is an I/O problem.

    - #### startObject

          boolean startObject()
                       throws ParseException,
                              java.io.IOException

      Receive notification of the beginning of a JSON object.
      Returns:
        false if the handler wants to stop parsing after return.
      Throws:
        `ParseException` - JSONParser will stop and throw the same exception to the caller when receiving this exception.
        `java.io.IOException` - if there is an I/O problem.
      See Also:
        `endJSON()`

    - #### endObject

          boolean endObject()
                     throws ParseException,
                            java.io.IOException

      Receive notification of the end of a JSON object.
      Returns:
        false if the handler wants to stop parsing after return.
      Throws:
        `ParseException` - if there is a parsing problem.
        `java.io.IOException` - if there is an I/O problem.
      See Also:
        `startObject()`

    - #### startObjectEntry

          boolean startObjectEntry(java.lang.String key)
                            throws ParseException,
                                   java.io.IOException

      Receive notification of the beginning of a JSON object entry.
      Parameters:
        `key` - key of a JSON object entry.
      Returns:
        false if the handler wants to stop parsing after return.
      Throws:
        `ParseException` - if there is a parsing problem.
        `java.io.IOException` - if there is an I/O problem.
      See Also:
        `endObjectEntry()`

    - #### endObjectEntry

          boolean endObjectEntry()
                          throws ParseException,
                                 java.io.IOException

      Receive notification of the end of the value of previous object entry.
      Returns:
        false if the handler wants to stop parsing after return.
      Throws:
        `ParseException` - if there is a parsing problem.
        `java.io.IOException` - if there is an I/O problem.
      See Also:
        `startObjectEntry(java.lang.String)`

    - #### startArray

          boolean startArray()
                      throws ParseException,
                             java.io.IOException

      Receive notification of the beginning of a JSON array.
      Returns:
        false if the handler wants to stop parsing after return.
      Throws:
        `ParseException` - if there is a parsing problem.
        `java.io.IOException` - if there is an I/O problem.
      See Also:
        `endArray()`

    - #### endArray

          boolean endArray()
                    throws ParseException,
                           java.io.IOException

      Receive notification of the end of a JSON array.
      Returns:
        false if the handler wants to stop parsing after return.
      Throws:
        `ParseException` - if there is a parsing problem.
        `java.io.IOException` - if there is an I/O problem.
      See Also:
        `startArray()`

    - #### primitive

          boolean primitive(java.lang.Object value)
                     throws ParseException,
                            java.io.IOException

      Receive notification of the JSON primitive values: java.lang.String, java.lang.Number, java.lang.Boolean null
      Parameters:
        `value` - instance of the following: java.lang.String, java.lang.Number, java.lang.Boolean, null
      Returns:
        false if the handler wants to stop parsing after return.
      Throws:
        `ParseException` - if there is a parsing problem.
        `java.io.IOException` - if there is an I/O problem.